package net.cs76.section.android;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class SharedPrefsSampleActivity extends Activity {

	EditText memPrompt1, memPrompt2;
	TextView savedMem1, savedMem2;
	Button buttonSaveMem1, buttonSaveMem2;

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		savedMem1 = (TextView) findViewById(R.id.savedmem1);
		savedMem2 = (TextView) findViewById(R.id.savedmem2);
		memPrompt1 = (EditText) findViewById(R.id.edittext1);
		memPrompt2 = (EditText) findViewById(R.id.edittext2);
		buttonSaveMem1 = (Button) findViewById(R.id.save_mem1);
		buttonSaveMem2 = (Button) findViewById(R.id.save_mem2);

		buttonSaveMem1.setOnClickListener(buttonSaveMem1OnClickListener);
		buttonSaveMem2.setOnClickListener(buttonSaveMem2OnClickListener);

		loadPreferences();
	}

	Button.OnClickListener buttonSaveMem1OnClickListener = new Button.OnClickListener() {

		@Override
		public void onClick(View arg0) {
			savePreferences("MEM1", memPrompt1.getText().toString());
			loadPreferences();
		}

	};

	Button.OnClickListener buttonSaveMem2OnClickListener = new Button.OnClickListener() {
		@Override
		public void onClick(View arg0) {
			savePreferences("MEM2", memPrompt2.getText().toString());
			loadPreferences();
		}

	};

	private void savePreferences(String key, String value) {
		SharedPreferences sharedPreferences = getPreferences(MODE_PRIVATE);
		SharedPreferences.Editor editor = sharedPreferences.edit();
		editor.putString(key, value);
		editor.commit();
	}

	private void loadPreferences() {
		SharedPreferences sharedPreferences = getPreferences(MODE_PRIVATE);
		String strSavedMem1 = sharedPreferences.getString("MEM1", "");
		String strSavedMem2 = sharedPreferences.getString("MEM2", "");
		savedMem1.setText(strSavedMem1);
		savedMem2.setText(strSavedMem2);
	}
}